/[grub]/grub2/configure
ViewVC logotype

Diff of /grub2/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.16 by okuji, Tue Jul 26 20:02:40 2005 UTC revision 1.17 by okuji, Sun Aug 7 17:12:51 2005 UTC
# Line 311  ac_includes_default="\ Line 311  ac_includes_default="\
311  # include <unistd.h>  # include <unistd.h>
312  #endif"  #endif"
313    
314  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE OBJCOPY ac_ct_OBJCOPY STRIP ac_ct_STRIP NM ac_ct_NM LD ac_ct_LD RUBY BUILD_CC CPP EGREP LIBOBJS LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE OBJCOPY ac_ct_OBJCOPY STRIP ac_ct_STRIP NM ac_ct_NM LD ac_ct_LD RUBY BUILD_CC CPP EGREP LIBCURSES LIBOBJS LTLIBOBJS'
315  ac_subst_files=''  ac_subst_files=''
316    
317  # Initialize some variables set by options.  # Initialize some variables set by options.
# Line 5904  fi Line 5904  fi
5904    
5905  fi  fi
5906    
5907    # Check for curses.
5908    echo "$as_me:$LINENO: checking for wgetch in -lncurses" >&5
5909    echo $ECHO_N "checking for wgetch in -lncurses... $ECHO_C" >&6
5910    if test "${ac_cv_lib_ncurses_wgetch+set}" = set; then
5911      echo $ECHO_N "(cached) $ECHO_C" >&6
5912    else
5913      ac_check_lib_save_LIBS=$LIBS
5914    LIBS="-lncurses  $LIBS"
5915    cat >conftest.$ac_ext <<_ACEOF
5916    /* confdefs.h.  */
5917    _ACEOF
5918    cat confdefs.h >>conftest.$ac_ext
5919    cat >>conftest.$ac_ext <<_ACEOF
5920    /* end confdefs.h.  */
5921    
5922    /* Override any gcc2 internal prototype to avoid an error.  */
5923    #ifdef __cplusplus
5924    extern "C"
5925    #endif
5926    /* We use char because int might match the return type of a gcc2
5927       builtin and then its argument prototype would still apply.  */
5928    char wgetch ();
5929    int
5930    main ()
5931    {
5932    wgetch ();
5933      ;
5934      return 0;
5935    }
5936    _ACEOF
5937    rm -f conftest.$ac_objext conftest$ac_exeext
5938    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5939      (eval $ac_link) 2>conftest.er1
5940      ac_status=$?
5941      grep -v '^ *+' conftest.er1 >conftest.err
5942      rm -f conftest.er1
5943      cat conftest.err >&5
5944      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5945      (exit $ac_status); } &&
5946             { ac_try='test -z "$ac_c_werror_flag"
5947                             || test ! -s conftest.err'
5948      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5949      (eval $ac_try) 2>&5
5950      ac_status=$?
5951      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5952      (exit $ac_status); }; } &&
5953             { ac_try='test -s conftest$ac_exeext'
5954      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5955      (eval $ac_try) 2>&5
5956      ac_status=$?
5957      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5958      (exit $ac_status); }; }; then
5959      ac_cv_lib_ncurses_wgetch=yes
5960    else
5961      echo "$as_me: failed program was:" >&5
5962    sed 's/^/| /' conftest.$ac_ext >&5
5963    
5964    ac_cv_lib_ncurses_wgetch=no
5965    fi
5966    rm -f conftest.err conftest.$ac_objext \
5967          conftest$ac_exeext conftest.$ac_ext
5968    LIBS=$ac_check_lib_save_LIBS
5969    fi
5970    echo "$as_me:$LINENO: result: $ac_cv_lib_ncurses_wgetch" >&5
5971    echo "${ECHO_T}$ac_cv_lib_ncurses_wgetch" >&6
5972    if test $ac_cv_lib_ncurses_wgetch = yes; then
5973      LIBCURSES="-lncurses"
5974    else
5975      echo "$as_me:$LINENO: checking for wgetch in -lcurses" >&5
5976    echo $ECHO_N "checking for wgetch in -lcurses... $ECHO_C" >&6
5977    if test "${ac_cv_lib_curses_wgetch+set}" = set; then
5978      echo $ECHO_N "(cached) $ECHO_C" >&6
5979    else
5980      ac_check_lib_save_LIBS=$LIBS
5981    LIBS="-lcurses  $LIBS"
5982    cat >conftest.$ac_ext <<_ACEOF
5983    /* confdefs.h.  */
5984    _ACEOF
5985    cat confdefs.h >>conftest.$ac_ext
5986    cat >>conftest.$ac_ext <<_ACEOF
5987    /* end confdefs.h.  */
5988    
5989    /* Override any gcc2 internal prototype to avoid an error.  */
5990    #ifdef __cplusplus
5991    extern "C"
5992    #endif
5993    /* We use char because int might match the return type of a gcc2
5994       builtin and then its argument prototype would still apply.  */
5995    char wgetch ();
5996    int
5997    main ()
5998    {
5999    wgetch ();
6000      ;
6001      return 0;
6002    }
6003    _ACEOF
6004    rm -f conftest.$ac_objext conftest$ac_exeext
6005    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6006      (eval $ac_link) 2>conftest.er1
6007      ac_status=$?
6008      grep -v '^ *+' conftest.er1 >conftest.err
6009      rm -f conftest.er1
6010      cat conftest.err >&5
6011      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6012      (exit $ac_status); } &&
6013             { ac_try='test -z "$ac_c_werror_flag"
6014                             || test ! -s conftest.err'
6015      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6016      (eval $ac_try) 2>&5
6017      ac_status=$?
6018      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6019      (exit $ac_status); }; } &&
6020             { ac_try='test -s conftest$ac_exeext'
6021      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6022      (eval $ac_try) 2>&5
6023      ac_status=$?
6024      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6025      (exit $ac_status); }; }; then
6026      ac_cv_lib_curses_wgetch=yes
6027    else
6028      echo "$as_me: failed program was:" >&5
6029    sed 's/^/| /' conftest.$ac_ext >&5
6030    
6031    ac_cv_lib_curses_wgetch=no
6032    fi
6033    rm -f conftest.err conftest.$ac_objext \
6034          conftest$ac_exeext conftest.$ac_ext
6035    LIBS=$ac_check_lib_save_LIBS
6036    fi
6037    echo "$as_me:$LINENO: result: $ac_cv_lib_curses_wgetch" >&5
6038    echo "${ECHO_T}$ac_cv_lib_curses_wgetch" >&6
6039    if test $ac_cv_lib_curses_wgetch = yes; then
6040      LIBCURSES="-lcurses"
6041    fi
6042    
6043    fi
6044    
6045    
6046    
6047    # Check for headers.
6048    
6049    
6050    
6051    for ac_header in ncurses/curses.h ncurses.h curses.h
6052    do
6053    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6054    if eval "test \"\${$as_ac_Header+set}\" = set"; then
6055      echo "$as_me:$LINENO: checking for $ac_header" >&5
6056    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6057    if eval "test \"\${$as_ac_Header+set}\" = set"; then
6058      echo $ECHO_N "(cached) $ECHO_C" >&6
6059    fi
6060    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6061    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6062    else
6063      # Is the header compilable?
6064    echo "$as_me:$LINENO: checking $ac_header usability" >&5
6065    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
6066    cat >conftest.$ac_ext <<_ACEOF
6067    /* confdefs.h.  */
6068    _ACEOF
6069    cat confdefs.h >>conftest.$ac_ext
6070    cat >>conftest.$ac_ext <<_ACEOF
6071    /* end confdefs.h.  */
6072    $ac_includes_default
6073    #include <$ac_header>
6074    _ACEOF
6075    rm -f conftest.$ac_objext
6076    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6077      (eval $ac_compile) 2>conftest.er1
6078      ac_status=$?
6079      grep -v '^ *+' conftest.er1 >conftest.err
6080      rm -f conftest.er1
6081      cat conftest.err >&5
6082      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6083      (exit $ac_status); } &&
6084             { ac_try='test -z "$ac_c_werror_flag"
6085                             || test ! -s conftest.err'
6086      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6087      (eval $ac_try) 2>&5
6088      ac_status=$?
6089      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6090      (exit $ac_status); }; } &&
6091             { ac_try='test -s conftest.$ac_objext'
6092      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6093      (eval $ac_try) 2>&5
6094      ac_status=$?
6095      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6096      (exit $ac_status); }; }; then
6097      ac_header_compiler=yes
6098    else
6099      echo "$as_me: failed program was:" >&5
6100    sed 's/^/| /' conftest.$ac_ext >&5
6101    
6102    ac_header_compiler=no
6103    fi
6104    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6105    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6106    echo "${ECHO_T}$ac_header_compiler" >&6
6107    
6108    # Is the header present?
6109    echo "$as_me:$LINENO: checking $ac_header presence" >&5
6110    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
6111    cat >conftest.$ac_ext <<_ACEOF
6112    /* confdefs.h.  */
6113    _ACEOF
6114    cat confdefs.h >>conftest.$ac_ext
6115    cat >>conftest.$ac_ext <<_ACEOF
6116    /* end confdefs.h.  */
6117    #include <$ac_header>
6118    _ACEOF
6119    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6120      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6121      ac_status=$?
6122      grep -v '^ *+' conftest.er1 >conftest.err
6123      rm -f conftest.er1
6124      cat conftest.err >&5
6125      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6126      (exit $ac_status); } >/dev/null; then
6127      if test -s conftest.err; then
6128        ac_cpp_err=$ac_c_preproc_warn_flag
6129        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6130      else
6131        ac_cpp_err=
6132      fi
6133    else
6134      ac_cpp_err=yes
6135    fi
6136    if test -z "$ac_cpp_err"; then
6137      ac_header_preproc=yes
6138    else
6139      echo "$as_me: failed program was:" >&5
6140    sed 's/^/| /' conftest.$ac_ext >&5
6141    
6142      ac_header_preproc=no
6143    fi
6144    rm -f conftest.err conftest.$ac_ext
6145    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6146    echo "${ECHO_T}$ac_header_preproc" >&6
6147    
6148    # So?  What about this header?
6149    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6150      yes:no: )
6151        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
6152    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
6153        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
6154    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
6155        ac_header_preproc=yes
6156        ;;
6157      no:yes:* )
6158        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
6159    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
6160        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
6161    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
6162        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
6163    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
6164        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
6165    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
6166        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6167    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6168        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
6169    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
6170        (
6171          cat <<\_ASBOX
6172    ## ------------------------------- ##
6173    ## Report this to bug-grub@gnu.org ##
6174    ## ------------------------------- ##
6175    _ASBOX
6176        ) |
6177          sed "s/^/$as_me: WARNING:     /" >&2
6178        ;;
6179    esac
6180    echo "$as_me:$LINENO: checking for $ac_header" >&5
6181    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6182    if eval "test \"\${$as_ac_Header+set}\" = set"; then
6183      echo $ECHO_N "(cached) $ECHO_C" >&6
6184    else
6185      eval "$as_ac_Header=\$ac_header_preproc"
6186    fi
6187    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6188    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6189    
6190    fi
6191    if test `eval echo '${'$as_ac_Header'}'` = yes; then
6192      cat >>confdefs.h <<_ACEOF
6193    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6194    _ACEOF
6195    
6196    fi
6197    
6198    done
6199    
6200    
6201  CC="$tmp_CC"  CC="$tmp_CC"
6202  CFLAGS="$tmp_CFLAGS"  CFLAGS="$tmp_CFLAGS"
6203  CPPFLAGS="$tmp_CPPFLAGS"  CPPFLAGS="$tmp_CPPFLAGS"
# Line 6564  s,@RUBY@,$RUBY,;t t Line 6858  s,@RUBY@,$RUBY,;t t
6858  s,@BUILD_CC@,$BUILD_CC,;t t  s,@BUILD_CC@,$BUILD_CC,;t t
6859  s,@CPP@,$CPP,;t t  s,@CPP@,$CPP,;t t
6860  s,@EGREP@,$EGREP,;t t  s,@EGREP@,$EGREP,;t t
6861    s,@LIBCURSES@,$LIBCURSES,;t t
6862  s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
6863  s,@LTLIBOBJS@,$LTLIBOBJS,;t t  s,@LTLIBOBJS@,$LTLIBOBJS,;t t
6864  CEOF  CEOF

Legend:
Removed from v.1.16  
changed lines
  Added in v.1.17

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26